Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2023 10:16:23 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Regarding my order nr: 9421125200. I recieved a msg that the payment was not successful and that I have to find to find another way of payment. I used PayPal and the money was retracted from my account. I have not recieved a refund on the order. Can you please check that for me. I can provide you the receipt from the transaction if needed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5902704